## eccodes 2.32.2

=== tests/CMakeLists.txt ===
# tests/CMakeLists.txt
#
# Configure the file which all CMake tests will include
configure_file( include.ctest.sh.in  include.ctest.sh @ONLY )

execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/utils.sh   ${CMAKE_CURRENT_BINARY_DIR} )
execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/number_compare.pl ${CMAKE_CURRENT_BINARY_DIR} )

# Build the executables used by test scripts
################################################
list(APPEND test_c_bins
    list_codetable_flagtable_keys
    grib_bpv_limit
    grib_double_cmp
    read_any
    julian
    grib_indexing
    grib_fieldset
    grib_multi_from_message
    grib_read_index
    unit_tests
    bufr_keys_iter
    grib_keys_iter
    grib_keys_iter_skip
    grib_geo_iter
    gauss_sub
    grib_nearest_test
    grib_util_set_spec
    grib_check_param_concepts
    grib_local_MeteoFrance
    grib_2nd_order_numValues
    grib_optimize_scaling
    grib_optimize_scaling_sh
    grib_set_force
    grib_run_length_packing
    grib_partial_message
    grib_ecc-386
    grib_ecc-1467
    grib_ecc-1431
    grib_ecc-1433
    bufr_ecc-517
    bufr_ecc-1288
    bufr_get_element
    bufr_extract_headers
    extract_offsets
    bufr_check_descriptors
    bufr_coordinate_descriptors
    codes_new_from_samples
    codes_dump_action_tree
    codes_set_samples_path
    codes_compare_keys
    codes_dump_content
    grib_sh_ieee64
    grib_ieee
    grib_set_bytes
    grib_copy_message
    grib_packing_order
    grib_unpack_subarray
    grib_sh_imag
    grib_spectral
    grib_lam_bf
    grib_lam_gp)


foreach( tool ${test_c_bins} )
    # here we use the fact that each tool has only one C file that matches its name
    ecbuild_add_executable( TARGET    ${tool}
                            NOINSTALL
                            SOURCES   ${tool}.cc
                            LIBS      eccodes )
endforeach()


# Now add each test (shell scripts)
#################################################
if( HAVE_BUILD_TOOLS )

    # These tests do not require any data downloads
    # and are generally quick
    list(APPEND tests_basic
        codes_info
        codes_deprecated
        unit_tests
        julian
        grib_dump_samples
        bufr_dump_samples
        bufr_check_descriptors
        definitions
        grib2_version
        grib_accessors
        grib_calendar
        grib_md5
        grib_cfNames
        grib_ifsParam
        grib_packing_order
        filter_substr
        grib_uerra
        grib_ecpoint
        grib_s2s
        grib_fire
        # grib_true_imagery
        grib2_wave_spectra
        grib_element
        grib_suppressed
        grib_2nd_order_numValues
        grib_ecc-136
        grib_ecc-530
        grib_ecc-922
        grib_ecc-966
        grib_ecc-967
        grib_ecc-1150
        grib_ecc-1053
        grib_ecc-1065
        grib_ecc-1167
        grib_ecc-1170
        grib_ecc-1195
        grib_ecc-1212
        grib_ecc-1230
        grib_ecc-1258
        grib_ecc-1260
        grib_ecc-1261
        grib_ecc-1271
        grib_ecc-1315
        grib_ecc-1322
        grib_ecc-1319
        grib_ecc-1406
        grib_ecc-1560
        grib_ecc-1571
        grib_ecc-1654
        grib_ecc-1691
        bufr_ecc-1028
        bufr_ecc-1195
        bufr_ecc-1259
        bufr_ecc-1290
        bufr_ecc-1304
        bufr_ecc-1347
        bufr_ecc-1395
        bufr_json_samples
        bufr_ecc-359
        bufr_ecc-517
        bufr_rdbSubTypes
        grib_efas
        grib_sh_imag
        grib_spectral
        grib_levtype
        grib_typeOfLevel
        grib_grid_unstructured
        grib_grid_lambert_conformal
        grib_grid_polar_stereographic
        grib_grid_healpix
        grib_g1monthlydate
        grib_g1day_of_the_year_date
        grib_g1fcperiod)

    # These tests require data downloads
    # and/or take much longer
    list(APPEND tests_extra
        grib_data_quality_checks
        grib_bpv_limit
        grib_complex
        grib_double_cmp
        grib_change_packing
        grib_run_length_packing
        grib_grid_space_view
        grib_partial_message
        grib_headers_only
        grib_unpack_subarray
        grib_count
        bufr_templates
        bufr_dump_data
        bufr_dump_descriptors
        bufr_coordinate_descriptors
        bufr_dump_subset
        bufr_dump_decode_filter
        bufr_dump_encode_filter
        bufrdc_desc_ref
        bufrdc_ref
        bufr_compare
        bufr_copy
        bufr_count
        bufr_get
        bufr_operators
        bufr_filter_misc
        bufr_filter_extract_subsets
        bufr_filter_extract_datetime
        bufr_filter_extract_area
        bufr_filter_unpack_pack
        bufr_filter_skipExtraKeyAttributes
        bufr_indexing
        bufr_json_data
        bufr_ls
        bufr_ls_json
        bufr_change_edition
        bufr_keys_iter
        grib_keys_iter
        grib_keys_iter_skip
        grib_geo_iter
        bufr_get_element
        bufr_wmo_tables
        bufr_extract_headers
        extract_offsets
        bufr_ecc-147
        bufr_ecc-389
        bufr_ecc-673
        bufr_ecc-428
        bufr_ecc-286
        bufr_ecc-288
        bufr_ecc-313
        bufr_ecc-616
        bufr_ecc-680
        bufr_ecc-686
        bufr_ecc-690
        bufr_ecc-379
        bufr_ecc-393
        bufr_ecc-433
        bufr_ecc-750
        bufr_ecc-765
        bufr_ecc-875
        bufr_ecc-887
        bufr_ecc-1187
        bufr_ecc-1305
        bufr_ecc-1476
        bufr_ecc-1623
        grib_ecc-490
        grib_ecc-756
        grib_ecc-806
        grib_ecc-873
        grib_ecc-600
        grib_ecc-923
        grib_ecc-979
        grib_ecc-984
        grib_ecc-1000
        grib_ecc-1001
        grib_ecc-1030
        grib_ecc-1397
        grib_ecc-1425
        grib_ecc-1467
        grib_set_bytes
        grib_set_force
        bufr_ecc-556
        gts_get
        gts_ls
        gts_count
        gts_compare
        wrap
        taf
        pseudo_diag
        metar_ls
        metar_get
        metar_dump
        metar_compare
        bufr_set
        grib_ieee
        grib1_gds_not_present
        grib_sh_ieee64
        grib_optimize_scaling
        grib_optimize_scaling_sh
        grib_lam_bf
        grib_lam_gp
        grib1to2
        grib2to1
        grib1to3
        grib2to3
        grib2_templates
        grib2_chemicals_aerosols
        grib3_templates
        grib_bad
        grib_ls
        grib_ls_json
        grib_filter
        grib_multi
        grib_nearest_test
        pseudo_budg
        grib_gridType
        grib_fieldset
        grib_octahedral
        grib_grid_mercator
        grib_global
        grib_concept
        grib_copy_message
        grib_decimalPrecision
        grib_bitsPerValue
        grib_get_fail
        grib_missing
        grib_local
        grib_step
        grib_set
        grib_iterator
        grib_proj_string
        grib_compare
        grib_copy
        grib_level
        grib_indexing
        grib_bitmap
        grib_list
        grib_second_order
        grib_multi_from_message
        grib_change_scanning
        grib_statistics
        read_any
        codes_new_from_samples
        codes_dump_action_tree
        codes_set_samples_path
        codes_compare_keys
        codes_dump_content
        codes_to_double
        grib_dump
        grib_dump_debug
        grib_dump_json
        grib_local_MeteoFrance
        grib_local_NCEP
        grib_neg_fctime
        codes_split_file
        grib_mars_keys1
        grib_mars_keys2)

    if( HAVE_AEC AND ENABLE_EXTRA_TESTS )
        list(APPEND tests_extra grib_ecc-1431)
        list(APPEND tests_extra grib_ecc-1433)
    endif()
    if( HAVE_FORTRAN AND ENABLE_EXTRA_TESTS )
        list(APPEND tests_extra bufr_dump_encode_fortran)
        list(APPEND tests_extra bufr_dump_decode_fortran)
    endif()
    if( ENABLE_EXTRA_TESTS )
        list(APPEND tests_extra grib_util_set_spec)
        list(APPEND tests_extra grib_padding)
        list(APPEND tests_extra grib_tigge_conversions1)
        list(APPEND tests_extra grib_tigge_conversions2)
        list(APPEND tests_extra bufr_dump_encode_C)
        list(APPEND tests_extra bufr_dump_decode_C)
        list(APPEND tests_extra bufr_dump_encode_python)
        list(APPEND tests_extra bufr_dump_decode_python)
        list(APPEND tests_extra list_codetable_flagtable_keys)
    endif()

    # These tests do not require any data downloads
    foreach( test ${tests_basic} )
        ecbuild_add_test( TARGET  eccodes_t_${test}
                          TYPE    SCRIPT
                          LABELS  "sanity"
                          COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh )
    endforeach()
    ecbuild_add_test( TARGET eccodes_t_grib_check_gaussian_grids
                      TYPE SCRIPT
                      CONDITION ECCODES_INSTALL_EXTRA_TOOLS
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/grib_check_gaussian_grids.sh )


    # Note: making the test dependent on the grib files (with DEPENDS)
    #       means they will be downloaded at "make" time
    #       rather than when you do "ctest". Use TEST_DEPENDS instead
    foreach( test ${tests_extra} )
        ecbuild_add_test( TARGET eccodes_t_${test}
                      TYPE SCRIPT
                      CONDITION ENABLE_EXTRA_TESTS
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh
                      RESOURCES asca_139.t1.ref
                      TEST_DEPENDS eccodes_download_gribs eccodes_download_tigge_gribs
                                   eccodes_download_bufrs eccodes_download_bufr_refs
                                   eccodes_download_metars eccodes_download_gts )
    endforeach()

    if( HAVE_FORTRAN AND ENABLE_EXTRA_TESTS )
        set_tests_properties( eccodes_t_bufr_dump_encode_fortran PROPERTIES TIMEOUT 2500 )
    endif()
    if( ENABLE_EXTRA_TESTS )
        set_tests_properties( eccodes_t_bufr_dump_encode_C PROPERTIES TIMEOUT 2500 )
    endif()


    ###########################################
    # Note: the reference file is in the tests dir not data dir!
    ecbuild_add_test( TARGET eccodes_t_grib_grid_lamb_az_eq_area
                      TYPE SCRIPT
                      CONDITION ENABLE_EXTRA_TESTS
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/grib_grid_lamb_az_eq_area.sh
                      RESOURCES grib_lamb_az_eq_area.ref
                      TEST_DEPENDS eccodes_download_gribs )

    # These ones are conditional
    ###########################################
    ecbuild_add_test( TARGET eccodes_t_tools_data_from_stdin
                      TYPE SCRIPT
                      CONDITION NOT ECCODES_ON_WINDOWS AND ENABLE_EXTRA_TESTS
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/tools_data_from_stdin.sh
                      TEST_DEPENDS eccodes_download_bufrs )

    ecbuild_add_test( TARGET eccodes_t_bufr_ecc-197
                      TYPE SCRIPT
                      CONDITION NOT ECCODES_ON_WINDOWS AND ENABLE_EXTRA_TESTS
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/bufr_ecc-197.sh
                      TEST_DEPENDS eccodes_download_bufrs )
    ecbuild_add_test( TARGET eccodes_t_bufr_ecc-1288
                      TYPE SCRIPT
                      CONDITION NOT ECCODES_ON_WINDOWS AND ENABLE_EXTRA_TESTS
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/bufr_ecc-1288.sh
                      TEST_DEPENDS eccodes_download_bufrs eccodes_download_bufr_refs )


    if( ENABLE_EXTRA_TESTS AND HAVE_ECCODES_THREADS )
        ecbuild_add_executable( TARGET    grib_encode_pthreads
                                NOINSTALL
                                SOURCES   grib_encode_pthreads.cc
                                LIBS      eccodes ${CMAKE_THREAD_LIBS_INIT} )
        ecbuild_add_test( TARGET eccodes_t_grib_encode_pthreads
                          TYPE SCRIPT

=== debian/changelog ===
eccodes (2.32.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Nov 2023 16:43:49 +0000

eccodes (2.32.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Oct 2023 10:28:02 +0100

eccodes (2.32.0-2) unstable; urgency=medium

  * Drop obsolete 32-bit arch code in d/rules
  * Depend on architecture-is-64-bit instead of listing archs specifically.
    Closes: #1054464

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Oct 2023 10:33:26 +0100

eccodes (2.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Oct 2023 10:51:38 +0100

eccodes (2.31.2-2) unstable; urgency=medium

  * Ensure fortran mod files are shipped. Closes: #1052908, #1052890

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Sep 2023 15:30:42 +0100

eccodes (2.31.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Sep 2023 08:32:12 +0100

=== debian/control ===
Source: eccodes
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  architecture-is-64-bit,
  dh-buildinfo, 
  dh-fortran-mod,
  gfortran | fortran-compiler, 
  ecbuild (>= 3.7.0),
  libjpeg-dev, 
  libpng-dev, 
  flex, 
  bison, 
  quilt,
  swig, 
  doxygen,
  libboost-dev, 
  libhdf5-dev, 
  chrpath,
  libaec-dev,
  libnetcdf-dev,
  libopenjp2-7-dev
Build-Conflicts: libopenjpeg-dev, libgrib-api-dev
Standards-Version: 4.6.2
Homepage: https://software.ecmwf.int/wiki/display/ECC/ecCodes+Home
Vcs-Browser: https://salsa.debian.org:/science-team/eccodes.git
Vcs-Git: https://salsa.debian.org:/science-team/eccodes.git -b debian/latest

Package: libeccodes0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
Description: GRIB and BUFR enecoding/encoding software library
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 .
 It is a replacement for the grib-api and emoslib libraries.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libeccodes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GRIB and BUFR enecoding/encoding software library - data
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 
Package: libeccodes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libeccodes0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
  libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
Conflicts: libgrib-api-dev
Description: GRIB and BUFR decoding/encoding software library (development)
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libeccodes-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mksh | pdksh | zsh | ksh
Conflicts: libgrib-api-tools
Breaks: libemos-bin (<< 2:4.4.5-2)
Description: GRIB decoding/encoding software (utilities)
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libeccodes-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: GRIB decoding/encoding software (documentation)
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 .
 This provides the documentation for the library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
INCDIR=/usr/include/$(DEB_HOST_MULTIARCH)
BUILDDIR=$(CURDIR)/debian/build
DESTDIR=$(CURDIR)/debian/tmp
CMAKEDIR:=$(DESTDIR)/$(LIBDIR)/cmake/eccodes

# For hardening
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) #  -fPIC
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)


GF10_FLAGS:=$(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-10), \
                 -fallow-invalid-boz -fallow-argument-mismatch, )
FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF10_FLAGS)

export LDFLAGS CFLAGS CPPFLAGS CXXFLAGS

DO_TEST:=true

# Pull in ecbuild macros rather than local ones
BUILD_FLAGS =  \
	-DENABLE_INSTALL_ECCODES_DEFINITIONS=ON \
	-DENABLE_INSTALL_ECCODES_SAMPLES=ON \
	-DENABLE_PNG=ON \
	-DENABLE_AEC=ON \
	-DENABLE_RPATHS=OFF \
	-DENABLE_RELATIVE_RPATHS=OFF \
	-DCMAKE_C_CFLAGS="${CFLAGS} ${LDFLAGS}" \
	-DENABLE_ALIGN_MEMORY=ON \
	-DENABLE_GRIB_TIMER=ON \
	-DENABLE_ECCODES_OMP_THREADS=On  \

%:
	dh $@ --buildsystem=ecbuild --builddirectory=${BUILDDIR} --no-parallel --with fortran_mod

override_dh_auto_configure:
	dh_auto_configure -- \
	    ${BUILD_FLAGS} 
	( cd ${BUILDDIR}/data ; tar axpf $(CURDIR)/../eccodes_$(DEB_VERSION_UPSTREAM).orig-data.tar.xz )

override_dh_install:
	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(DESTDIR)  
	# Move to multiarch dir
	mkdir -p  $(DESTDIR)/$(INCDIR)
	mv $(DESTDIR)/usr/include/*.h $(DESTDIR)/$(INCDIR)
	for d in libeccodes_f90.so	libeccodes.so ; do \
		chrpath -d $(DESTDIR)/$(LIBDIR)/$$d.0 ; done
	chrpath -d $(DESTDIR)/usr/bin/grib_to_netcdf
	dh_install
	# Setup cmake files for magics++, metview, etc.
	sed -i -e 's%$${_IMPORT_PREFIX}/include%/usr/include/${DEB_HOST_MULTIARCH}%g' 	$(CMAKEDIR)/eccodes-targets.cmake
	sed -i -e 's%/usr/lib/libeccodes%${LIBDIR}/libeccodes%' 			$(CMAKEDIR)/eccodes-targets-release.cmake
	sed -i -e 's%$${_IMPORT_PREFIX}%/usr%'                  			$(CMAKEDIR)/eccodes-targets-release.cmake
	sed -i -e 's%${LIBDIR}/libopenjpeg.so;%%' 					$(CMAKEDIR)/eccodes-targets-release.cmake
	sed -i -e 's%;${LIBDIR}/libpng.so%%g' 						$(CMAKEDIR)/eccodes-targets-release.cmake
	sed -i -e 's%;${LIBDIR}/libopenjpeg.so%%g' 					$(CMAKEDIR)/eccodes-config.cmake
	sed -i -e 's%$${PACKAGE_PREFIX_DIR}/lib/cmake/eccodes%${LIBDIR}/cmake/eccodes%g' $(CMAKEDIR)/eccodes-config.cmake
	sed -i -e 's%;${LIBDIR}/libpng.so%%g' 						$(CMAKEDIR)/eccodes-config.cmake
	# For bit-reproducibility, sanitize the build paths
	for f in eccodes-config.cmake eccodes-import.cmake ; do \
		sed -i -e 's%${CURDIR}%/build/eccodes%g' $(CMAKEDIR)/$$f ; \
		sed -i -e 's%$${eccodes_BASE_DIR}/share%/usr/share%g' $(CMAKEDIR)/$$f ; \
		done
	# file exists on full builds only
	[ - e debian/libeccodes-dev/$(INCDIR)/eccodes_ecbuild_config.h ] && ( \
		sed -i -e 's%${CURDIR}%/build/eccodes%g'  debian/libeccodes-dev/$(INCDIR)/eccodes_ecbuild_config.h \
		) || true	

override_dh_auto_clean:
	dh_auto_clean
	# Things that upstream leaves behind
	rm -f configure.ac configure configure.in
	rm -f tests/bitmap.rules tests/out.grib1 tests/out.grib2 tests/out.gribidx \
	      tests/rules tests/simple_ieee_test.grib1.txt tests/statistics.filter \
	      tests/statistics.out tests/x.grib \
	      data/change_scanning_rotated_ll.filter examples/F90/index.idx

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo
	-chmod -x debian/libeccodes-dev/usr/share/doc/libeccodes-dev/examples/F90/include.sh
	-chmod +x debian/libeccodes-data/usr/share/eccodes/definitions/installDefinitions.sh

override_dh_auto_test:
	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build/lib dh_auto_test  ) || true

## eccodes 2.33.0

=== debian/changelog ===
eccodes (2.33.0-3) unstable; urgency=medium

  * Build with reverted fmoddir to libdir
  * Build with fortran-support.mk

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Dec 2023 08:19:34 +0000

eccodes (2.33.0-2) unstable; urgency=medium

  * Drop flang build for unsupported archs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Dec 2023 06:55:10 +0000

eccodes (2.33.0-1) unstable; urgency=medium

  * Enable flang support
  * New upstream release 2.33.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2023 09:54:23 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends: debhelper-compat (= 13), 
   architecture-is-64-bit,
   dh-buildinfo, 
-  dh-fortran-mod,
-  gfortran | fortran-compiler, 
+  dh-fortran-mod (>= 0.31),
   ecbuild (>= 3.7.0),
   libjpeg-dev, 
   libpng-dev, 
@@ -21,7 +20,7 @@
   libaec-dev,
   libnetcdf-dev,
   libopenjp2-7-dev
-Build-Conflicts: libopenjpeg-dev, libgrib-api-dev
+Build-Conflicts: libopenjpeg-dev, libgrib-api-dev, libeccodes-dev
 Standards-Version: 4.6.2
 Homepage: https://software.ecmwf.int/wiki/display/ECC/ecCodes+Home
 Vcs-Browser: https://salsa.debian.org:/science-team/eccodes.git

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,16 @@
 export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/debhelper/dh-fortran/fortran-support.mk
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 INCDIR=/usr/include/$(DEB_HOST_MULTIARCH)
-BUILDDIR=$(CURDIR)/debian/build
 DESTDIR=$(CURDIR)/debian/tmp
 CMAKEDIR:=$(DESTDIR)/$(LIBDIR)/cmake/eccodes
+
+BUILDDIR:=$(CURDIR)/debian/build
+BUILDDIR_DEFAULT:=$(BUILDDIR)-$(FC_DEFAULT)
 
 # For hardening
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
@@ -17,9 +21,6 @@
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 
-GF10_FLAGS:=$(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-10), \
-                 -fallow-invalid-boz -fallow-argument-mismatch, )
-FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF10_FLAGS)
 
 export LDFLAGS CFLAGS CPPFLAGS CXXFLAGS
 
@@ -39,15 +40,19 @@
 	-DENABLE_ECCODES_OMP_THREADS=On  \
 
 %:
-	dh $@ --buildsystem=ecbuild --builddirectory=${BUILDDIR} --no-parallel --with fortran_mod
+	dh $@ --buildsystem=ecbuild --builddirectory=${BUILDDIR_DEFAULT} \
+		--no-parallel --with fortran_mod FC=$(FC_DEFAULT)
+	#for f in $(FC_OPTIONAL)  ; do \
+	#( dh $@ --buildsystem=ecbuild --builddirectory=${BUILDDIR}-$$f \
+	#	--no-parallel --with fortran_mod FC=$(call get_fc_exe,$$f) ) || true
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    ${BUILD_FLAGS} 
-	( cd ${BUILDDIR}/data ; tar axpf $(CURDIR)/../eccodes_$(DEB_VERSION_UPSTREAM).orig-data.tar.xz )
+	( cd ${BUILDDIR_DEFAULT}/data ; tar axpf $(CURDIR)/../eccodes_$(DEB_VERSION_UPSTREAM).orig-data.tar.xz )
 
 override_dh_install:
-	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(DESTDIR)  
+	cd $(BUILDDIR_DEFAULT) && $(MAKE) install DESTDIR=$(DESTDIR)  
 	# Move to multiarch dir
 	mkdir -p  $(DESTDIR)/$(INCDIR)
 	mv $(DESTDIR)/usr/include/*.h $(DESTDIR)/$(INCDIR)
@@ -90,4 +95,6 @@
 	-chmod +x debian/libeccodes-data/usr/share/eccodes/definitions/installDefinitions.sh
 
 override_dh_auto_test:
-	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build/lib dh_auto_test  ) || true
+	$(DO_TEST) && ( LD_LIBRARY_PATH=${BUILDDIR_DEFAULT}/lib dh_auto_test  ) || true
+	# for f in $(FC_OPTIONAL) ; do \
+	#  ( $(DO_TEST) && ( LD_LIBRARY_PATH=${BUILDDIR}-$$f/lib dh_auto_test  ) || true ) ; done
